* {
    box-sizing: border-box;
}

h1  {
    text-align: center ;
}
h4 {
    margin: auto;
}

input[type=text], select, textarea {
    padding: 5px;
    border: 1px solid #ccc;
    border-radius: 4px;
    resize: vertical;
}

label {
    padding: 5px 5px 5px 0;
    display: inline-block;
}

.des-height {
    height: 100px;
}

.createTask {
    width: 400px;
    border-radius: 5px;
    background-color: #f2f2f2;
    margin: 0 10px;
    padding: 10px;
}

.col-25 {
    float: left;
    width: 100px;
    margin-top: 6px;
}

.col-75 {
    float: left;
    width: 250px;
    margin-top: 6px;
}

.col-100 {
    float: left;
    width: 350px;
    margin-top: 15px;
}

.row:after {
    content: "";
    display: table;
    clear: both;
}

.formName {
    margin: 0;
    font-size: 20px;
    text-align: center;
}

.container {
    display: grid;
    grid-template-areas: 
    "toDo pending done";
    grid-gap: 10px;
    grid-template-rows: 100% 100% 100%;
    grid-template-columns: 1fr 1fr 1fr;
    border: 2px solid #ccc;
    border-radius: 5px;
    background-color: #f2f2f2;
    padding: 5px;
    margin: 10px;
    max-width: 1000px;
    width:80%;
}


@media (max-width: 800px) {
    .container {
        display: flex;
        flex-direction: column; 
        flex-wrap: wrap;
    }

    .container #task-toDo {
        width:90%;
    }
    
    .container #task-pending {
        width:90%;
    }
    
    .container #task-done {
        width:90%;
    }

    .container:after {
        content: "";
        clear: both;
    }
}


.container #task-toDo {
    grid-area: toDo;
}

.container #task-pending {
    grid-area: pending;
}

.container #task-done {
    grid-area: done;
}


#task-toDo {
    padding: 10px;
    background-color: coral;
}

#task-pending {
    padding: 10px;
    background-color: coral;
}

#task-done {
    padding: 10px;
    background-color: coral;
}



.task {
    /* width: 200px; */
    height: 100px;
    border: 2px solid #ccc;
    border-radius: 5px;
    background-color:rgb(250, 196, 126);
}